import java.io.*;
import java.net.*;

/**
 * Clase que guarda el socket y el print writer del cliente, para evitar
 * crearlo cada vez al enviar un dato.
 * @author Luis Fuentes Weber
 */
public class clientData{
    private Socket socket;
    PrintWriter out;

    /**
     * Constructor que obtiene el socket y crea el print writer a partir de este
     * @param socket Socket con la conexion al cliente
     */
    public clientData(Socket socket){
        this.socket = socket;

        try {
            out = new PrintWriter(socket.getOutputStream(), true);
        } catch (IOException ex) {

        }
    }

    /**
     * Obtiene y retorna el socket que maneja al cliente.
     * @return Socket.
     */
    public Socket getSocket(){
        return socket;
    }

    /**
     * Obtiene y retorna el print writer correspondiente al socket.
     * @return Socket.
     */
    public PrintWriter getPrinter(){
        return out;
    }
}
